// import something here
import firebase from "firebase/app";
import "firebase/auth";
import { Loading } from "quasar";
// "async" is optional
export default async ({ router, store /* app, router, Vue, ... */ }) => {
  router.beforeEach((to, from, next) => {
    let requiresAuth = to.matched.some(record => record.meta.requiresAuth);
    // console.log(to.path)
    requiresAuth =
      to.path != "/" && to.path != "/not-found" && to.path != "/sign-in";
    // Loading.show();
    // something to do
    firebase.auth().onAuthStateChanged(user => {
      // Loading.hide();
      if (user) {
        // Signed in. Let Vuex know.
        // console.log("signin in from session");

        store.dispatch("auth/sessionLogin", user);

        // new Vue(app)
      } else {
        // console.log("signed out");
        // console.log("should reset user here");
        // Signed out. Let Vuex know.
        store.dispatch("auth/resetUser");
      }
      if (requiresAuth) {
        if (!store.getters["auth/user"]) next(`/sign-in?from=${to.fullPath}`);
        else next();
      } else next();
    });
  });
};
