const routes = [
  {
    path: "/",
    component: () => import("layouts/EmptyLayout.vue"),
    children: [
      {
        path: "",
        component: () => import("layouts/MyLayout.vue"),
        children: [
          { path: "", component: () => import("pages/Index.vue") },
          { path: "sign-in", component: () => import("pages/SignIn.vue") },
          { path: "plans", component: () => import("pages/Plans.vue") }
        ]
      },
      {
        path: "jobs",
        component: () => import("layouts/EmptyLayout.vue"),
        children: [{ path: "", component: () => import("pages/Jobs.vue") }]
      },
      {
        path: "recruiters",
        component: () => import("layouts/EmptyLayout.vue"),
        children: [
          { path: "", component: () => import("pages/Recruiters.vue") }
        ]
      },
      {
        path: "resume",
        component: () => import("layouts/MyLayout.vue"),
        children: [{ path: "", component: () => import("pages/resume-wizard/Start.vue") }]
      },
      {
        path: "resumes",
        component: () => import("layouts/EmptyLayout.vue"),
        children: [{ path: "", component: () => import("pages/Resumes.vue") }]
      },
      {
        path: "dashboard",
        component: () => import("layouts/EmptyLayout.vue"),
        children: [{
          path: "", component: () => import("pages/employer/Dashboard.vue"),
          children: [{
            path: "", component: () => import("pages/employer/Home.vue")
          }
          ]
        }]
      }
    ]
  }
];

// Always leave this as last one
if (process.env.MODE !== "ssr") {
  routes.push({
    path: "*",
    component: () => import("pages/Error404.vue")
  });
}

export default routes;
